Name: nvidia-settings
Version: 169.07
Release: alt1

Group: System/Configuration/Hardware
Summary: Tool for configuring the NVIDIA driver
Url: ftp://download1.nvidia.com/XFree86/nvidia-settings/
License: GPL

Source: %name-%version.tar.gz
Source1: %name-16.png
Source2: %name-32.png
Source3: %name-48.png
Source4: nvidia-settings.sh

Patch1: xlibs.patch

#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 glib2-devel libatk-devel libgtk+2-devel libpango-devel pkgconfig
# Automatically added by buildreq on Tue May 23 2006 (-bi)
#BuildRequires: fontconfig libgtk+2-devel libmesa-devel libXrandr-devel libXv-devel libXxf86vm-devel linux-libc-headers
BuildRequires: libgtk+2-devel xorg-x11-devel


%description
The `nvidia-settings` utility is a tool for configuring the NVIDIA
Linux graphics driver.  It operates by communicating with the NVIDIA
X driver, querying and updating state as appropriate.  This
communication is done with the NV-CONTROL X extension.

Values such as brightness and gamma, XVideo attributes, temperature,
and OpenGL settings can be queried and configured via nvidia-settings.

When nvidia-settings starts, it reads the current settings from
its configuration file and sends those settings to the X server.
Then, it displays a graphical user interface (GUI) interface for
configuring the current settings.  When nvidia-settings exits, it
queries the current settings from the X server and saves them to
the configuration file.


%prep
%setup -q -n %name-1.0
%patch1 -p1

%build
pushd src/libXNVCtrl
rm -f libXNVCtrl.a
gcc %optflags -I/usr/include/X11/extensions -c NVCtrl.c
ar rcs libXNVCtrl.a NVCtrl.o
popd
%make_build LOCAL_CFLAGS="%optflags"

%install
mkdir -p %buildroot/%_bindir
install -m 0755 nvidia-settings %buildroot/%_bindir

mkdir -p %buildroot/%_sysconfdir/X11/xinit.d/
install -m 0755 %SOURCE4 %buildroot/%_sysconfdir/X11/xinit.d/%name.sh

mkdir -p %buildroot/%_iconsdir/hicolor/{16x16,32x32,48x48}/apps
install -m 0644 %SOURCE1 %buildroot/%_iconsdir/hicolor/16x16/apps/%name.png
install -m 0644 %SOURCE2 %buildroot/%_iconsdir/hicolor/32x32/apps/%name.png
install -m 0644 %SOURCE3 %buildroot/%_iconsdir/hicolor/48x48/apps/%name.png

mkdir -p %buildroot/%_menudir
cat >%buildroot/%_menudir/%name <<__EOF__
?package(%name): \
needs="x11" \
command="%name" \
section="Configuration/Hardware" \
title="NVIDIA settings" \
icon="%name.png" \
longtitle="Tool for configuring the NVIDIA driver"
__EOF__

%files
%doc doc/*.txt samples
%_bindir/%name
%_sysconfdir/X11/xinit.d//%name.sh
%_menudir/%name
%_iconsdir/*/*/apps/%name.png

%post
%update_menus
%postun
%clean_menus

%changelog
* Fri Dec 21 2007 Sergey V Turchin <zerg at altlinux dot org> 169.07-alt1
- new version

* Tue Oct 23 2007 Sergey V Turchin <zerg at altlinux dot org> 100.14.19-alt1
- new version

* Fri Jun 22 2007 Sergey V Turchin <zerg at altlinux dot org> 1.0-alt7
- update tarball

* Sat Jun 09 2007 Sergey V Turchin <zerg at altlinux dot org> 1.0-alt6
- update tarball

* Fri Oct 13 2006 Sergey V Turchin <zerg at altlinux dot org> 1.0-alt5
- update tarball

* Tue May 23 2006 Sergey V Turchin <zerg at altlinux dot org> 1.0-alt4
- update tarball
- fix build on x86_64 (#9597)

* Tue Apr 11 2006 Sergey V Turchin <zerg at altlinux dot org> 1.0-alt3
- update tarball to 2006-03-17

* Mon Dec 26 2005 Sergey V Turchin <zerg at altlinux dot org> 1.0-alt2
- update tarball

* Fri Jul 02 2004 Sergey V Turchin <zerg at altlinux dot org> 1.0-alt1
- initial spec

